'use client'

import axios from "axios";
import RequestService from "@/services/request.service";
import {IUserDataProfile} from "@/types/userdata.type";

async function doRegister(data: object) {
	const res = await RequestService.standard.post.json('http://localhost:3333/auth/register', data)
	console.debug(`Register request get a ${res.status} response.`);
	if (res.status !== 201) {
		return {
			success: false,
			message: res.data.message || res.data.error,
			status: res.status,
		}
	}
	localStorage.removeItem('token')
	localStorage.setItem('token', res.data.token)
	return {
		success: true,
		message: res.data.message,
    status: res.status,
	}
}

async function getUserData() {
	const res = await RequestService.authenticated.get.json('http://localhost:3333/auth/me')
	//TODO Manage error
	console.log(res);
	if (res.status !== 302) {
		return res.data.message as string;
	}
	return res.data as IUserDataProfile;
}

export const AccountService = {
	register: doRegister,
	getUserData,
};